Index: TXM/trunk/bundles/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swt/SVGChartComposite.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swt/SVGChartComposite.java	(revision 3830)
+++ TXM/trunk/bundles/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/swt/SVGChartComposite.java	(revision 3831)
@@ -24,6 +24,7 @@
 import org.txm.chartsengine.rcp.IChartComponent;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
 import org.txm.chartsengine.rcp.swt.SwingChartComposite;
+import org.txm.chartsengine.svgbatik.rcp.Messages;
 import org.txm.chartsengine.svgbatik.rcp.swing.SVGCanvas;
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.utils.logger.Log;
@@ -90,11 +91,11 @@
 	// FIXME: SJ: we should use Batik listener system to check if the file has been well loaded
 	public void loadSVGDocument(final File file) {
 		if (file == null) {
-			Log.severe("SVG file doesn't exist.");
+			Log.severe(Messages.SVGFileDoesntExist);
 			return;
 		}
 		if (file.length() == 0) {
-			Log.severe(TXMCoreMessages.bind("SVG file {0} is empty.", file));
+			Log.severe(TXMCoreMessages.bind(Messages.SVGFileP0IsEmpty, file));
 			return;
 		}
 		
@@ -107,15 +108,15 @@
 			public void run() {
 				
 				try {
-					Log.fine(TXMCoreMessages.bind("Loading SVG document from file: {0}...", file.getAbsolutePath()));
+					Log.fine(TXMCoreMessages.bind("Loading SVG document from file: {0}...", file.getAbsolutePath())); //$NON-NLS-1$
 					
 					getSVGCanvas().loadSVGDocument(file.toURL().toExternalForm());
 					
-					Log.fine(TXMCoreMessages.bind("File {0} loaded.", file.getAbsolutePath()));
+					Log.fine(TXMCoreMessages.bind("File {0} loaded.", file.getAbsolutePath())); //$NON-NLS-1$
 					
 				}
 				catch (Exception e) {
-					Log.severe(TXMCoreMessages.bind("Can't load SVG document from file {0}.", file));
+					Log.severe(TXMCoreMessages.bind(Messages.CantLoadSVGDocumentFromFileP0, file));
 					Log.printStackTrace(e);
 				}
 				
@@ -147,7 +148,7 @@
 	
 	@Override
 	public void clearChartItemsSelection() {
-		Log.severe("SVGChartComposite.clearChartItemsSelection(): not implemented.");
+		Log.severe("SVGChartComposite.clearChartItemsSelection(): not implemented."); //$NON-NLS-1$
 	}
 	
 	
@@ -189,8 +190,8 @@
 				// ?
 				
 				// Adjust dimensions from component
-				((Element) this.getSVGDocument().getFirstChild()).setAttribute("width", String.valueOf(this.getSVGCanvas().getWidth()));
-				((Element) this.getSVGDocument().getFirstChild()).setAttribute("height", String.valueOf(this.getSVGCanvas().getHeight()));
+				((Element) this.getSVGDocument().getFirstChild()).setAttribute("width", String.valueOf(this.getSVGCanvas().getWidth())); //$NON-NLS-1$
+				((Element) this.getSVGDocument().getFirstChild()).setAttribute("height", String.valueOf(this.getSVGCanvas().getHeight())); //$NON-NLS-1$
 				
 				
 				TranscoderInput input = new TranscoderInput(this.getSVGDocument());
Index: TXM/trunk/bundles/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/messages.properties	(revision 0)
+++ TXM/trunk/bundles/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/messages.properties	(revision 3831)
@@ -0,0 +1,3 @@
+CantLoadSVGDocumentFromFileP0=Can't load SVG document from file {0}.
+SVGFileDoesntExist=SVG file doesn't exist.
+SVGFileP0IsEmpty=SVG file {0} is empty.

Property changes on: TXM/trunk/bundles/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/messages.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/bundles/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/Messages.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/Messages.java	(revision 0)
+++ TXM/trunk/bundles/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/Messages.java	(revision 3831)
@@ -0,0 +1,18 @@
+package org.txm.chartsengine.svgbatik.rcp;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+public class Messages extends NLS {
+	private static final String BUNDLE_NAME = Messages.class.getPackageName() + ".messages"; //$NON-NLS-1$
+	public static String CantLoadSVGDocumentFromFileP0;
+	public static String SVGFileDoesntExist;
+	public static String SVGFileP0IsEmpty;
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+	}
+
+	private Messages() {
+	}
+}

Property changes on: TXM/trunk/bundles/org.txm.chartsengine.svgbatik.rcp/src/org/txm/chartsengine/svgbatik/rcp/Messages.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

